Subject: Re: All I wanted was git-fast-export

From: Paul Gardiner <[email-masked]>
Date: Wed, 13 Feb 2008 09:10:18 +0000

Johannes Schindelin wrote:
> Hi,
> 
> [please do not look the other way when you respond to me, i.e. do not cull 
> me from the Cc: list.  Thankyouverymuch]
> 
> On Sun, 10 Feb 2008, Paul Gardiner wrote:
> 
>> Johannes Schindelin wrote:
>>
>>> The thing is, filter-branch was _written for this purpose_.  So if you 
>>> know what commit you rewrote last, you can make the process 
>>> faster/safer by issuing
>>>
>>> 	$ git filter-branch --msg-filter="<blabla>" <old-commit>..master
>> That does look just what I need, but did you see the reason I thought I 
>> couldn't use it? I need to repeatedly sync the git repository from a 
>> live cvs repository, and repeatedly filter the new commit messages.
> 
> Oh, I thought you saw why I put in that "<old-commit>...".  You do not 
> really need it, as filter-branch will come up with the _same_ commit 
> hashes, unless _something_ was changed.

Thanks, that indeed works. Using filter-branch, using just --msg-filter
does the job without altering hashes, and fromcvs/togit syncs up
ignoring the alteration. My message filter is idempotent, so I can
rerun it after every sync (or I might try your suggestion above
to make it more efficient).

P.